#
# spec file for package libSavitar
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover 0
Name:           libSavitar
Version:        3.6.0
Release:        lp152.2.10
Summary:        C++ implementation of 3mf loading with SIP python bindings
License:        LGPL-3.0-only
Group:          Development/Libraries/C and C++
URL:            https://github.com/Ultimaker/libSavitar
Source0:        %{name}-%{version}.tar.xz
# PATCH-FIX-OPENSUSE -- Use system libraries instead of embedded ones.
Patch0:         use-system-libs.patch
BuildRequires:  cmake >= 2.8.12
BuildRequires:  pugixml-devel >= 1.8
BuildRequires:  python3-sip-devel

%description
libSavitar is a C++ implementation of 3mf loading with SIP python bindings.

%package -n %{name}%{sover}
Summary:        3D printer control software
Group:          System/Libraries
Provides:       python3-Savitar = %version

%description -n %{name}%{sover}
libSavitar is a C++ implementation of 3mf loading with SIP python bindings.

%package devel
Summary:        Header files for libSavitar
Group:          Development/Libraries/C and C++
Requires:       %{name}%{sover} = %{version}
Requires:       python3-sip-devel

%description devel
Development package for libSavitar.

%prep
%autosetup -p1

%build
%cmake -DUSE_SYSTEM_LIBS=TRUE
make %{?_smp_mflags}

%install
%cmake_install

%post   -n %{name}%{sover} -p /sbin/ldconfig
%postun -n %{name}%{sover} -p /sbin/ldconfig

%files devel
%license LICENSE
%{_includedir}/Savitar/
%{_libdir}/cmake/Savitar/
%{_libdir}/libSavitar.so

%files -n %{name}%{sover}
%license LICENSE
%doc README.md
%{_libdir}/libSavitar.so.*
%{python3_sitearch}/Savitar.so

%changelog
* Fri Nov 23 2018 Adrian Schröter <adrian@suse.de>
- update to version 3.6.0
  * version change only
* Wed Oct 17 2018 Adrian Schröter <adrian@suse.de>
- update to version 3.5.1
  * version change only
* Wed Aug  8 2018 jengelh@inai.de
- Rename %%soname to %%sover to better reflect its use.
- Fix RPM groups for Factory.
* Mon Aug  6 2018 adrian@suse.de
- update to version 3.4.1
* Mon May 14 2018 christophe@krop.fr
- Initial package.
